# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bazaar_voice/version'

Gem::Specification.new do |spec|
  spec.name          = 'bazaar_voice'
  spec.version       = BazaarVoice::VERSION
  spec.authors       = ['Dean Shelton']
  spec.email         = ['dshelt2@searshc.com']

  spec.summary       = 'A Ruby based Bazaar Voice API Wrapper'
  spec.description   = 'Talk to Bazzar Voice API\'s with this handy gem'
  spec.homepage      = 'https://github.com/deanshelton913/bazaar-voice'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.3', '>= 3.3.0'
  spec.add_development_dependency 'rubocop', '~> 0.33', '>= 0.33.0'
  spec.add_development_dependency 'guard-rspec', '~> 4.5', '>= 4.5.2'
  spec.add_development_dependency 'guard-rubocop', '~> 1.2', '>= 1.2.0'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.3', '>= 1.3.0'
  spec.add_runtime_dependency 'rest-client', '~> 1.8', '>= 1.8.0'
  spec.add_runtime_dependency 'json', '~> 1.8', '>= 1.8.3'
end
